<#include "header.ftl">
<@head title="归档 - ${blog_title!}"/>
<main>
    <div class="wrap min">
        <section class="home-title">
            <h1>归档</h1>
            <@categoryTag method="list">
                <#list categories as category>
                    <span><a href="${category.fullPath!}">${category.name!}（${category.postCount!}）</a></span>
                </#list>
            </@categoryTag>
        </section>
        <section class="home-posts">
         <@postTag method="archive" type="month">
            <div class="post-item">
                <#list archives as archive>
                    <h2>${archive.year?c}-${archive.month?c}</h2>
                    <ul>
                        <#list archive.posts?sort_by("createTime")?reverse as post>
                            <li>
                                <a href="${post.fullPath!}">${post.title!}</a>
                                <div class="post-meta">
                                    <time class="date">${post.createTime?string('yyyy-MM-dd')}</time>
                                    <span class="category">
                                    <#list post.categories as category>
                                        <a href="${category.fullPath!}" >
                                            ${category.name!}
                                        </a>
                                    </#list>
                                    </span>
                                    <span class="tags">
                                        <#list post.tags as tag>
                                            <a href="${tag.fullPath}" class="tag">
                                                ${tag.name}
                                            </a>
                                        </#list>
                                    </span>
                                    <span class="comments">${post.commentCount!}°C</span>
                                </div>
                            </li>
                        </#list>
                    </ul>
                </#list>
                </div>
            </@postTag>
        </section>
    </div>
</main>
<#include "footer.ftl">
