<#include "header.ftl">
<@head title="${post.title!} - ${blog_title!}"/>
<main>
    <div class="wrap min">
        <section class="post-title">
            <h2>${post.title!}</h2>
            <div class="post-meta">
                <time class="date">${post.createTime?string('yyyy-MM-dd')}</time>
                <span class="category">
                    <#list post.categories as category>
                                <a href="${category.fullPath!}" >
                                    ${category.name!}
                                </a>
                    </#list>
                </span>
                <span class="comments">${post.commentCount!}</span>
                <#--计数问题-->
                <span class="visits">${post.visits!0}</span>
            </div>
        </section>
            <article class="post-content">
              <blockquote>这篇文章上次修改于${sinceLastTime!}天前，可能其部分内容已经发生变化，如有疑问可询问作者。</blockquote>
                ${post.formatContent!}
            </article>
            <section class="post-near">
            <ul>   
                <li>
                    上一篇：
                    <#if prevPost??>
                        <a href="${prevPost.fullPath!}">${prevPost.title!}</a>
                    <#else>
                        看完啦 (つд⊂)
                    </#if>
                </li>
                <li>
                    下一篇：
                    <#if nextPost??>
                        <a href="${nextPost.fullPath!}">${nextPost.title!}</a>
                    <#else>
                        看完啦 (つд⊂)
                    </#if>
                </li>
            </ul>
        </section>
        <section class="post-tags">
            <#list post.tags as tag>
                <a href="${tag.fullPath}" class="tag">${tag.name}</a>
                <#--<#if 1+2 >3 >
                    <a href="${tag.fullPath}" class="tag">${tag.name}</a>
                <#else>
                    
                </#if>
                -->
            </#list>
        </section>
        <#if settings.author_text?? && settings.author_text!=''>
            <section class="post-author">
                <figure class="author-avatar">
                    <img src="https://www.huangdf.xyz/upload/2021/08/logo-4d5e052dd4074b078ba3f982423435d8.jpg" alt="${user.nickname!}" width="200" height="200">
                </figure>
                <div class="author-info">
                    <h4>${user.nickname!}</h4>
                    <p>${settings.author_text!}</p>
                </div>
            </section>
        </#if>
        <@global.comment target=post type="post" />
     </div>
</main>
<#include "footer.ftl">
